<?php $__env->startPush('headScripts'); ?>
    <style>
        #submitButton.disabledSubmit{
            cursor: no-drop;
            opacity: 0.65;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light"><?php echo e(__('KPIS')); ?> /</span> <a href="<?php echo e(route('kpis.index')); ?>" class="text-muted fw-light"><?php echo e(__('KPIS')); ?> /</a> <?php echo e((isset($kpi))?__('Edit :type',['type'=>$kpi->name]):__('Create')); ?></h4>
        <div class="row">
            <div class="col-md-12">
                <form method="POST" action="<?php echo e(isset($kpi)?route('kpis.update',['kpi'=>$kpi]):route('kpis.store')); ?>" enctype="multipart/form-data">
                    <div class="card mb-4">
                        <h5 class="card-header"><?php echo e((isset($kpi))?__('Edit :type',['type'=>$kpi->name]):__('Create')); ?></h5>
                        <?php if(isset($kpi)): ?>
                            <?php echo method_field('PUT'); ?>
                        <?php endif; ?>
                        <?php echo csrf_field(); ?>
                        <div class="card-body">
                            <div class="row">
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Job Titles')); ?></label>
                                    <select class="select2 <?php $__errorArgs = ['job_title_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" data-placeholder="<?php echo e(__('Select :type',['type'=>__('Job Title')])); ?>" name="job_title_id">
                                        <option value=""><?php echo e(__('Select :type',['type'=>__('Job Title')])); ?></option>
                                        <?php $__currentLoopData = \App\Models\JobTitle::pluck('title','id')->toArray(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if((isset($kpi)&&$kpi->job_title_id==$id)||old('job_title_id')==$id): ?> selected="selected" <?php endif; ?> value="<?php echo e($id); ?>"><?php echo e($name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['job_title_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Name')); ?></label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> border-left-0" name="name" id="name" value="<?php echo e(isset($kpi)?$kpi->name:old('name')); ?>" placeholder="<?php echo e(__('Enter :value',['value'=>__('Name')])); ?>">
                                    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="btn-group" role="group" aria-label="Basic radio toggle button group">
                                    <?php $__currentLoopData = config('app.statusArray'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <input type="radio" class="btn-check" name="status" id="status-<?php echo e($key+1); ?>" <?php echo e((isset($kpi)&&$kpi->status==$status)||(old('status')&&old('status')==$status)||(!isset($kpi)&&!old('status')&&$status==config('app.defaultStatusSelected'))?'checked':''); ?> value="<?php echo e($status); ?>"  autocomplete="off">
                                        <label class="btn btn-outline-<?php echo e(config('app.statusButtonClass')[$status]); ?>" for="status-<?php echo e($key+1); ?>"><?php echo e(ucfirst($status)); ?></label>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                                <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                    </div>
                    <div class="card mb-4 fixme">
                        <div class="d-flex bd-highlight">
                            <div class="p-2 flex-fill bd-highlight">
                                <h5 class="card-header"><?php echo e(__('Create Questions')); ?></h5>
                            </div>
                            <div class="p-2 flex-fill align-self-center bd-highlight">
                                <button type="button" class="btn btn-success float-end addQuestion" data-type="end">
                                    <i class="bx bx-plus-circle"></i>
                                </button>
                            </div>

                        </div>
                        <div class="progress w-100">
                            <div class="progress-bar" role="progressbar" style="width:  0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                               0%
                            </div>
                        </div>
                    </div>
                    <div id="questionsDiv">
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        <?php if(isset($kpi)&&$kpi->KPISQuestions): ?>
                            <?php $__currentLoopData = $kpi->KPISQuestions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $question): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="card mb-4">
                                    <div class="card-body">
                                        <input type="hidden" name="question_id[]" value="<?php echo e($question->id); ?>"/>
                                        <div class="form-group col-lg-12 mb-3">
                                            <label class="form-label"><?php echo e(__('Question')); ?></label>
                                            <input type="text" class="form-control <?php $__errorArgs = ['question'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> border-left-0" name="question[]" value="<?php echo e($question->question); ?>" id="question" placeholder="<?php echo e(__('Enter :value',['value'=>__('Question')])); ?>">
                                        </div>
                                        <div class="form-group col-lg-12 mb-3">
                                            <label class="form-label"><?php echo e(__('Weight')); ?></label>
                                            <input type="number" class="form-control <?php $__errorArgs = ['weight'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> border-left-0" name="weight[]" value="<?php echo e($question->weight); ?>" id="weight" placeholder="<?php echo e(__('Enter :value',['value'=>__('Weight')])); ?>">
                                        </div>
                                        <div class="text-end">
                                            <button type="button" class="btn btn-danger remove-question">
                                                <i class="bx bx-trash"></i>
                                                <?php echo e(__('Delete')); ?>

                                            </button>
                                            <button type="button" class="btn btn-success addQuestion" data-type="after">
                                                <i class="bx bx-arrow-to-bottom"></i>
                                                <?php echo e(__('Add After')); ?>

                                            </button>
                                            <button type="button" class="btn btn-success addQuestion" data-type="before">
                                                <i class="bx bx-arrow-to-top"></i>
                                                <?php echo e(__('Add Before')); ?>

                                            </button>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </div>
                    <div class="card mb-4">
                        <div class="card-body">
                            <div class="text-end">
                                <button type="button" id="submitButton" data-bs-toggle="tooltip"
                                        data-bs-offset="0,4"
                                        data-bs-placement="left"
                                        data-bs-html="false"
                                        title="Save"
                                        class="btn btn-success px-5"><?php echo e(__('Save')); ?></button>
                            </div>

                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('footerScripts'); ?>
    <script>
        let htmlQuestionBlock='<div class="card mb-4"> <input type="hidden" name="question_id[]" value="no_id"/> <div class="card-body"> <div class="form-group col-lg-12 mb-3"> <label class="form-label"><?php echo e(__('Question')); ?></label> <input type="text" class="form-control <?php $__errorArgs = ['question'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> border-left-0" name="question[]" id="question" placeholder="<?php echo e(__('Enter :value',['value'=>__('Question')])); ?>"> </div> <div class="form-group col-lg-12 mb-3"> <label class="form-label"><?php echo e(__('Weight')); ?></label> <input type="number" class="form-control <?php $__errorArgs = ['weight'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> border-left-0" name="weight[]" id="weight" placeholder="<?php echo e(__('Enter :value',['value'=>__('Weight')])); ?>"> </div> <div class="text-end"> <button type="button" class="btn btn-danger remove-question"> <i class="bx bx-trash"></i><?php echo e(__('Delete')); ?> </button><button type="button" class="btn btn-success addQuestion" data-type="after"><i class="bx bx-arrow-to-bottom"></i><?php echo e(__('Add After')); ?></button><button type="button" class="btn btn-success addQuestion" data-type="before"><i class="bx bx-arrow-to-top"></i><?php echo e(__('Add Before')); ?></button> </div> </div> </div>';
        $(document).on('click','.addQuestion',function(){
            let type=$(this).attr('data-type');
            let element=$(this).parent().parent().parent()
            let questionsDiv=$("#questionsDiv");
            switch (type){
                case'end':
                    questionsDiv.append(htmlQuestionBlock);
                    animateCSS('#questionsDiv > div.card.mb-4:nth-of-type('+($("#questionsDiv div.card.mb-4").length)+')','bounce')
                    break;
                case'after':
                    $(htmlQuestionBlock).insertAfter(element);
                    animateCSS('#questionsDiv > div.card.mb-4:nth-of-type('+(element.index()+2)+')','bounce')
                    break;
                case'before':
                    console.log(element.index())
                    let eq=(element.index()==0?1:(element.index()-1));
                    console.log(eq)
                    $(htmlQuestionBlock).insertBefore(element);
                    animateCSS('#questionsDiv > div.card.mb-4:nth-of-type('+eq+')','bounce')
                    break;
            }
        });

        $(document).on('click','.remove-question',function(){
            $(this).parent().parent().parent().remove();
            getPercentage();
        });
        $(document).on('change keyup','input[name="weight[]"]',function(){
            getPercentage()
        })
        function getPercentage(){
            let percentage=0;
            $('input[name="weight[]"]').each(function(){
                percentage+=parseInt($(this).val());
            })
            if(percentage!=100){
                $(".fixme .progress .progress-bar").addClass('bg-danger');
                $('#submitButton').addClass('disabledSubmit').attr('data-bs-original-title','<?php echo e(__('Make sure that all questions total wights is 100%')); ?>').attr('type','button')
            }else{
                $(".fixme .progress .progress-bar").removeClass('bg-danger');
                $('#submitButton').removeClass('disabledSubmit').attr('data-bs-original-title','Save').attr('type','submit');
            }
            $(".fixme .progress .progress-bar").attr('aria-valuenow',percentage).css({'width':percentage+'%'}).text(percentage+'%')
        }
        getPercentage();
        var fixmeTop = $('.fixme').offset().top;       // get initial position of the element
        var fixmeWidth = $('.fixme').width();       // get initial position of the element
        $(window).scroll(function() {                  // assign scroll event listener
            var currentScroll = $(window).scrollTop(); // get current position
            if (currentScroll >= fixmeTop) {           // apply position: fixed if you
                $('.fixme').css({                      // scroll to that element or below it
                    top: 0,
                    position: 'fixed',
                    width:fixmeWidth,
                    'z-index':9
                });
            } else {                                   // apply position: static
                $('.fixme').css({                      // if you scroll above it
                    position: 'static'
                });
            }

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('dashboard.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/KPISProject/resources/views/dashboard/kpis/create_edit.blade.php ENDPATH**/ ?>